Subject: bug#51583: closed (Re: bug#51583: 29.0.50; cygw32 build break)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Nov 2021 09:15:01 +0000

Your bug report

#51583: 29.0.50; cygw32 build break

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51583: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51583
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51583: 29.0.50; cygw32 build break
From: Eli Zaretskii <[email-masked]>
To: Kazuhiro Ito <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Nov 2021 11:14:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 04 Nov 2021 17:43:04 +0900
> From: Kazuhiro Ito <[email-masked]>
> Cc: [email-masked]
> 
> > > w32_get_resource function is defined in w32.c, which is not compiled
> > > on Cygwin buid.
> > 
> > Thanks, I tried to fix this now.  Please test, including the new
> > dark-theme functionality (if you have a new enough Windows
> > installation).
> 
> I confiremed the problem was fixed.  I also confirmed colors of title
> bar and scroll bars were changed as MinGW build.
> Thank you.

Thanks for testing, I'm therefore closing this bug.

Subject: 29.0.50; cygw32 build break
From: Kazuhiro Ito <[email-masked]>
To: [email-masked]
Date: Wed, 03 Nov 2021 20:35:57 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Cygw32 build fails on trunk.

$ ./configure --with-w32
$ make

(snip)
  CCLD     temacs.exe
/usr/lib/gcc/x86_64-pc-cygwin/10/../../../../x86_64-pc-cygwin/bin/ld: w32fns.o:w32fns.c:(.text+0xec1a): undefined reference to `w32_get_resource'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:647: temacs.exe] Error 1
make[1]: Leaving directory '/dfs/f/build/cygwin64/emacs/src'
make: *** [Makefile:450: src] Error 2

w32_get_resource function is defined in w32.c, which is not compiled
on Cygwin buid.

-- 
Kazuhiro Ito